<app-header></app-header>

<div class="heading">
    <h4 class="text-white">Total Register Reports</h4>
</div>
<table class="table table-sm" style="margin-left: 30px; padding-right: 30px;">
    <thead>
      <tr>
          <th></th>
        <th scope="col">Sr. No</th>
        <th scope="col">Crime Type</th>
        <th scope="col">Area</th>
        <th scope="col">Date</th>
        <th scope="col">Description</th>
        <th scope="col">Action</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let report of reports; let i = index">
        <td></td>
        <td>{{ i+1 }}</td>
        <td>{{ report.crime_type | titlecase }}</td>
        <td>{{ report.area }}</td>
        <td>{{ report.date | date: 'medium'}}</td>
        <td>{{ report.description}}</td>
        <td><button class="btn btn-primary text-white" (click)="goToInfo(report.id)">Info</button></td>
      </tr>
      <!-- <tr>
          <td></td>
        <td scope="row">2</td>
        <td>Jacob</td>
        <td>Thornton</td>
        <td>@fat</td>
      </tr>
      <tr>
          <td></td>
        <td scope="row">3</td>
        <td>Larry</td>
        <td>the Bird</td>
        <td>@twitter</td>
      </tr> -->
    </tbody>
  </table>